Subject: RE: [Fwd: Re: [rohc] ROHC context reuse & mode]

From: "Lars-Erik Jonsson (LU/EAB)" <[email-masked]>
Date: Wed, 7 Apr 2004 13:28:48 +0200

Below...

> -------- Original Message --------
> Subject: Re: [rohc] ROHC context reuse & mode
> Date: Wed,  7 Apr 2004 11:29:18 +0200
> From: Pawel Szymanski <[email-masked]>
> Organization: Poczta Wirtualnej Polski S.A. http://www.wp.pl/
> To: Kristofer Sandlund <[email-masked]>
> CC: [email-masked]
> References: <[email-masked]> <[email-masked]>
> 
> Hi Kristofer,
> 
> See my comments below
> 
> > > What should be the state of the context in decompressor 
> > > after successful processing of such a packet ? I can see
> > > three possible alternatives:
> > > 
> > > 1. The state is left unchanged - but when the decompressor
> > >    was in NO_CONTEXT state. Since the decompressor knowns
> > >    the static chain it should rather advance the state to
> > >    the STATIC_CONTEXT state.
> > > 
> > > 2. The state is set to STATIC_CONTEXT - but when the 
> > >    decompressor was in FULL_CONTEXT and we assume that
> > >    the packet does not invalidate the dynamic chain,
> > >    downgrading the state is not a good solution.
> > > 
> > > 3. If the decompressor is in NO_CONTEXT state, the new
> > >    state is set to STATIC_CONTEXT. Otherwise, the state
> > >    is left unchanged.  
> > 
> > I would say that alternative 3 is what we meant with the 
> > text you quote. Since the impl. guide has not yet been
> > updated with this (partially due to lack of anyone
> > commenting on it), we should make some text that makes
> > this point clear as soon as we update it.
>
> But isn't the option 3 against the RFC 3095, as the decompressor
> state transition diagram (section 5.3.2, page 57] does not show
> transition from NO_CONTEXT to STATIC_CONTEXT ?

You are correct that this case is not covered by the figures,
but the reason for that is just that there were never any real
discussions about the purpose of having IR's without the dynamic
chain. I wrote these state transition diagrams long before the
packet formats were finally agreed, and the D-bit did not exist
at that point in time. This is not the only thing in 3095 that
became inconsistent as a result of the rather chaotic process of
writing a 170 page specification among 16 authors in 6 months.

So, I would say that the use of IR without a dynamic chain is
not specified at all, but it could be useful to add something
to the implementer's guide. As always, I would appreciate simple
solutions and what Kristofer proposed seems reasonable.

/L-E

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc